import Universe from './Universe';
import Renderer from './Renderer';
import { BrowserAnimator } from '../utils';
import { Nullable } from '../types';
export interface SimulatorOptions {
    frameRate?: number;
}
declare class Simulator {
    universe: Nullable<Universe>;
    renderer: Renderer;
    animator: BrowserAnimator;
    id: Nullable<number>;
    constructor(renderer: Renderer, universe?: Nullable<Universe>, { frameRate }?: SimulatorOptions);
    setUniverse(universe: Nullable<Universe>): void;
    start: () => void;
    stop: () => void;
    private loop;
}
export default Simulator;
