import { Array2D } from './universe';
import React from 'react';
export declare type RGBA = {
    r: number;
    g: number;
    b: number;
    a: number;
};
export declare function getImageData(src: string): Promise<Array2D<RGBA>>;
export declare const range: (n: number) => number[];
export declare const shuffle: <T>(array: T[]) => T[];
export declare const groupBy: <T>(array: T[], grouper: (item: T) => string) => {
    [key: string]: T[];
};
export declare const TwoPI: number;
export declare const getMousePosition: (event: React.MouseEvent<HTMLCanvasElement, MouseEvent>) => {
    x: number;
    y: number;
};
export declare const getTouchPosition: (event: React.TouchEvent<HTMLCanvasElement>) => {
    x: number;
    y: number;
};
export declare class BrowserAnimator {
    callback: Function;
    delay: number;
    frame: number;
    time: number | null;
    rafId: number | null;
    constructor(callback: Function, fps?: number);
    setFps: (fps: number) => void;
    start: () => void;
    stop: () => void;
    private loop;
}
